com.corticon.eclipse.studio.rule.optimizer.ambiguity.core

## Interface IAmbiguityCheckAPI

- All Superinterfaces:
    IModelAPI

      public interface IAmbiguityCheckAPI
      extends IModelAPI

  The Ambiguity Check API provides a standardized interface to allow client programs to check for ambiguities within a rule set.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkForAmbiguities()` Check the rule set for ambiguities.
    `boolean` | `checkForAmbiguities(boolean abSilent)` Check the rule set for ambiguities.
    `boolean` | `checkForAmbiguities(boolean abSilent, com.corticon.eclipse.studio.rule.rulesheet.table.core.util.DesignerOptimizer aDesignerOptimizer)` Check the rule set for ambiguities.
    `boolean` | `clearAmbiguityResults()` Clear the ambiguity check results.
    `boolean` | `firstAmbiguity()` Navigate to the first ambiguity instance.
    `IRulesheetTableModelAPI` | `getRulesheetTableModelAPI()` Method to get and capture Rulesheet API instance.
    `boolean` | `isAmbiguityFilterOn()` Determine whether conflict filter is on.
    `boolean` | `isEnabledCheckForAmbiguities()` Determine if check for ambiguities function is enabled.
    `boolean` | `isEnabledClearAmbiguityResults()` Determine if clear ambiguity results function is enabled.
    `boolean` | `isEnabledFilterAmbiguityResults()` Determine if filter ambiguity results function is enabled.
    `boolean` | `isEnabledFirstAmbiguity()` Determine if first ambiguity function is enabled.
    `boolean` | `isEnabledLastAmbiguity()` Determine if last ambiguity function is enabled.
    `boolean` | `isEnabledNextAmbiguity()` Determine if next ambiguity function is enabled.
    `boolean` | `isEnabledPreviousAmbiguity()` Determine if previous ambiguity function is enabled.
    `boolean` | `isEnabledSetAmbiguityFilter()` Deprecated. Use isAmbiguityFilterOn.
    `boolean` | `lastAmbiguity()` Navigate to the last ambiguity instance.
    `boolean` | `nextAmbiguity()` Navigate to the next ambiguity instance.
    `boolean` | `previousAmbiguity()` Navigate to the previous ambiguity instance.
    `boolean` | `setAmbiguityFilter(boolean abFilter)` Set the state of the ambiguity filter.
    `void` | `setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)` Setter for Rulesheet table model API.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### checkForAmbiguities

          boolean checkForAmbiguities()

      Check the rule set for ambiguities.
      Returns:
        `true` if ambiguity check was successful.

    - #### checkForAmbiguities

          boolean checkForAmbiguities(boolean abSilent)

      Check the rule set for ambiguities.
      Parameters:
        `abSilent` - `true` to suppress message boxes.
      Returns:
        `true` if ambiguity check was successful.

    - #### checkForAmbiguities

          boolean checkForAmbiguities(boolean abSilent,
                                    com.corticon.eclipse.studio.rule.rulesheet.table.core.util.DesignerOptimizer aDesignerOptimizer)

      Check the rule set for ambiguities.
      Parameters:
        `abSilent` - `true` to suppress message boxes.
        `aDesignerOptimizer` - Optional DesignerOptimizer instance to re-use to improve performance.
      Returns:
        `true` if ambiguity check was successful.

    - #### clearAmbiguityResults

          boolean clearAmbiguityResults()

      Clear the ambiguity check results.
      Returns:
        `true` if command was successful.

    - #### firstAmbiguity

          boolean firstAmbiguity()

      Navigate to the first ambiguity instance.
      Returns:
        `true` if command was successful.

    - #### getRulesheetTableModelAPI

          IRulesheetTableModelAPI getRulesheetTableModelAPI()

      Method to get and capture Rulesheet API instance.
      Returns:
        Rulesheet API instance.

    - #### isAmbiguityFilterOn

          boolean isAmbiguityFilterOn()

      Determine whether conflict filter is on.
      Returns:
        `true` if the conflict filter is currently on.

    - #### isEnabledCheckForAmbiguities

          boolean isEnabledCheckForAmbiguities()

      Determine if check for ambiguities function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledFilterAmbiguityResults

          boolean isEnabledFilterAmbiguityResults()

      Determine if filter ambiguity results function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledClearAmbiguityResults

          boolean isEnabledClearAmbiguityResults()

      Determine if clear ambiguity results function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledFirstAmbiguity

          boolean isEnabledFirstAmbiguity()

      Determine if first ambiguity function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledLastAmbiguity

          boolean isEnabledLastAmbiguity()

      Determine if last ambiguity function is enabled.
      Parameters:
        `aSelection` - Selection state.
      Returns:
        `true` if function is enabled.

    - #### isEnabledNextAmbiguity

          boolean isEnabledNextAmbiguity()

      Determine if next ambiguity function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledPreviousAmbiguity

          boolean isEnabledPreviousAmbiguity()

      Determine if previous ambiguity function is enabled.
      Returns:
        `true` if function is enabled.

    - #### isEnabledSetAmbiguityFilter

          boolean isEnabledSetAmbiguityFilter()

      Deprecated. Use isAmbiguityFilterOn.
      Determine whether conflict filter is on.
      Returns:
        `true` if conflict filter is on.

    - #### lastAmbiguity

          boolean lastAmbiguity()

      Navigate to the last ambiguity instance.
      Returns:
        `true` if command was successful.

    - #### nextAmbiguity

          boolean nextAmbiguity()

      Navigate to the next ambiguity instance.
      Returns:
        `true` if command was successful.

    - #### previousAmbiguity

          boolean previousAmbiguity()

      Navigate to the previous ambiguity instance.
      Returns:
        `true` if command was successful.

    - #### setAmbiguityFilter

          boolean setAmbiguityFilter(boolean abFilter)

      Set the state of the ambiguity filter.
      Parameters:
        `abFilter` - `true` to enable the ambiguity filter.
      Returns:
        `true` if function was successful.

    - #### setRulesheetTableModelAPI

          void setRulesheetTableModelAPI(IRulesheetTableModelAPI aIRulesheetTableModelAPI)

      Setter for Rulesheet table model API.
      Parameters:
        `aIRulesheetTableModelAPI` - Rulesheet table model API.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.